package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartEvaluateStudent;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-08
 */
public interface SmartEvaluateStudentService extends IService<SmartEvaluateStudent> {

    public int insertSmartEvaluateStudent(SmartEvaluateStudent sa);

    public int updateSmartEvaluateStudent(SmartEvaluateStudent sa);

    public PageUtils<SmartEvaluateStudent> queryPageSmartEvaluateStudent(int currentPage, int pageCount, QueryWrapper<SmartEvaluateStudent> queryWrapper);

    public int deleteSmartEvaluateStudentById(int id);

    public SmartEvaluateStudent getSmartEvaluateStudentById(int id);

    public List<SmartEvaluateStudent> getSmartEvaluateStudentList();

    public List<SmartEvaluateStudent> getSmartEvaluateStudentByKey(QueryWrapper<SmartEvaluateStudent> queryWrapper);

}
